summaryrefslogtreecommitdiff
path: root/update_from_obs
diff options
context:
space:
mode:
Diffstat (limited to 'update_from_obs')
-rwxr-xr-xupdate_from_obs36
1 files changed, 36 insertions, 0 deletions
diff --git a/update_from_obs b/update_from_obs
new file mode 100755
index 0000000..92d4fff
--- /dev/null
+++ b/update_from_obs
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+project="Tizen:2.3:Wearable"
+default_target="target"
+osc_cmd="osc -A https://api.tizen.org"
+
+targets=`$osc_cmd repos $project | awk '{print $1}'|sort |uniq`
+
+# removing all git tracked files except for myself
+#git ls-files|grep -v update_from_obs |xargs rm -f
+#git add -u
+
+echo "synchronizing build configs ..."
+for target in $targets
+do
+ $osc_cmd buildconfig $project $target > build-${target}.conf
+# git add build-${target}.conf
+done
+
+# get project meta file
+echo "synchronizing project meta file"
+$osc_cmd meta prj $project > meta.xml
+#git add meta.xml
+
+# set default build config
+ln -sf build-${default_target}.conf build.conf
+#git add build.conf
+
+# commit changes to git tree
+#git commit -m "Update from OBS at `date +\"%Y-%m-%d %H:%M:%S\"`" >/dev/null
+#if [ $? -eq 0 ]; then
+# echo "all local changes commit locally"
+# echo "please review it with 'git show' and submit it with 'git push'"
+#else
+# echo "no change needs to be made"
+#fi